IntegrationsPostgreSQL

Read rows from one table with optional column selection, simple filters, ordering, limit, and offset.

POST
/integrations/connections/{connection_id}/providers/postgres/rows/query

Read rows from one table with optional column selection, simple filters, ordering, limit, and offset.

Authorization

bearerApiKey
AuthorizationBearer <token>

Create a scoped API key in the Adlass settings.

In: header

Path Parameters

connection_id*string

Resource identifier: connection_id.

Formatuuid

Header Parameters

X-Request-Id?string

Optional correlation identifier.

Lengthlength <= 128

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/integrations/connections/123e4567-e89b-42d3-a456-426614174000/providers/postgres/rows/query" \  -H "Content-Type: application/json" \  -d '{    "table": "example"  }'
{  "columns": [],  "rows": [],  "row_count": 0,  "has_more": false,  "truncated": false}